PowerPoint7GraphInternal::FrameArc Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
PowerPoint7GraphInternal::FrameArc Struct Reference

Internal: a frame rect of a PowerPoint7Graph. More...

Inheritance diagram for PowerPoint7GraphInternal::FrameArc:

## Public Member Functions
| FrameArc ()
| constructor More...
bool | updateShape (MWAWBox2f const &finalBox, MWAWGraphicShape &shape) const
| update the shape More...
Public Member Functions inherited from PowerPoint7GraphInternal::Frame
| Frame (Type type=Unknown)
| constructor More...
virtual | ~Frame ()
| destructor More...
virtual void | getTextZoneList (std::vector< int > &textIdList) const
| try to update the list of text sub zone More...

## Public Attributes
float | m_angles [2]
| the arc angles More...
Public Attributes inherited from PowerPoint7GraphInternal::Frame
enum Type | m_type
| the type: More...
int | m_subType
| the sub type More...
MWAWBox2i | m_dimension
| the dimension More...
float | m_rotation
| the rotation More...
bool | m_flip [2]
| the flip flags: horizontal and vertical More...
MWAWGraphicStyle | m_style
| the style More...
int | m_pictureId
| the picture id(if positif) More...
int | m_textId
| the text id(if positif) More...
bool | m_isBackground
| a flag to know if this is the slide's background More...
bool | m_isSent
| flag to know if a frame is sent More...

## Additional Inherited Members
Public Types inherited from PowerPoint7GraphInternal::Frame
enum | Type { Arc, Line, Group, Placeholder, Polygon, Rect, Unknown }
| the frame type More...

## Detailed Description

Internal: a frame rect of a PowerPoint7Graph.

## Constructor & Destructor Documentation

## ◆ FrameArc()

PowerPoint7GraphInternal::FrameArc::FrameArc | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ updateShape()

bool PowerPoint7GraphInternal::FrameArc::updateShape | ( | MWAWBox2f const & | finalBox,
|  | MWAWGraphicShape & | shape
| ) |  | const

update the shape

Referenced by PowerPoint7Graph::sendFrame().

## Member Data Documentation

## ◆ m_angles

float PowerPoint7GraphInternal::FrameArc::m_angles[2]

the arc angles

Referenced by PowerPoint7Graph::readArcAtom().

The documentation for this struct was generated from the following file:

- PowerPoint7Graph.cxx